Match Endpoint - Single Transaction Calls

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Match Parameter Rules

The following list describes the general parameter rules.

  • All calls to the Match endpoint must contain one or more match parameters.
  • Match parameters must be included after the ? character in the URL request and formed as [parameter_name]=[parameter_value].
  • Separate multiple parameters using &.

Match Parameter Parsing Guidelines

  • Do not include the parsed name (for example, firstName, middleName, and lastName) AND the unparsed name ( name) in the same request.
  • Do not include the parsed street address (for example, primaryNumber, street) AND the unparsed street address (streetAddress) in the same request.

Match Parameter Validation

VariableRule
stateMust be a two-character state abbreviation
zipCodeMust be 5, 9, or 11 digits
emailMust contain an @ character and must contain a period (".") in the domain portion
phoneMust be 10 digits
limitMust be an integer from 1 to 10

Match Parameter Combinations

Below are the most common input parameter combinations. Brackets ("[ ]") around a parameter indicate that the parameter is optional.

Input Parameter Combination
Name + Street + [City] + [State] + ZipCode
Name + Email
Name + Phone
Email
Phone
Name + ZipCode
Query Params
string

The person's full name. Could include first, middle, last, and suffix. Example: "Eduardo F Lopez Jr". Do not include this parameter if the parameters for individual name components are included.

string

The complete street address (postal address without city, state, ZIP). Example: "101 W Main St S Apt 12". Do not include this parameter if the parameters for individual address components are included.

string

The person's first name. Examples: "Eduardo", "Felicia". Do not include this parameter if the "name" parameter (the unparsed name) is included.

string

The person's middle name or middle initial. Examples: "Kyu", "K", "John", "J". Do not include this parameter if the "name" parameter (the unparsed name) is included.

string

The person's last name. Examples: "Lopez", "Nguyen". Do not include this parameter if the "name" parameter (the unparsed name) is included.

string

The person's generational name suffix. Examples: "Jr", "Sr", "II". Do not include this parameter if the "name" parameter (the unparsed name) is included.

string

The street number in a postal address. Examples: "10", "123", "3333". Do not include this parameter if the "streetAddress" parameter (the unparsed street address) is included.

string

The street pre-directional in a postal address. Examples: "N", "S", "E", "W". Do not include this parameter if the "streetAddress" parameter (the unparsed street address) is included.

string

The street name in a postal address. Examples: "Main", "Finley", "Hillsdale". Do not include this parameter if the "streetAddress" parameter (the unparsed street address) is included.

string

The street suffix in a postal address. Example: St, Dr, Rd, Blvd. Do not include this parameter if the "streetAddress" parameter (the unparsed street address) is included.

string

The street post-directional in a postal address. Example: N, S, E, W. Do not include this parameter if the "streetAddress" parameter (the unparsed street address) is included.

string

The secondary unit designator in a postal address. Example: Apt, Ste, Fl, Unit. Do not include this parameter if the "streetAddress" parameter (the unparsed street address) is included.

string

The secondary number in a postal address. Does not include the unit designator text (for example, Apt., or #). Example: 12A, 4, 105. Do not include this parameter if the "streetAddress" parameter (the unparsed street address) is included.

string

The city. Example: Los Angeles, Seattle, Paris.

string

The 2-character standard abbreviation. Example: CA, TN, CO, CT.

string

The ZIP/postal code (5 digit, 9 digit, or 11 digit). Example: 95010, 10004-4357

string

The plaintext email address.

string

For U.S. phone numbers, the complete phone number that includes the 10 digits without delimiters. Example: 6305558052

int32
Defaults to 1

The maximum number of desired matches to be returned from the API. The default is 1, which causes the API to return only the best match, if available. When limit is set to a value greater than 1, the API will return up to limit matches in order of decreasing match confidence. All matches must exceed the minimum match threshold to be returned, so it is possible that fewer than limit matches will be returned on a given request. An integer between 1 (default) and 10 (maximum), inclusive.

boolean
Defaults to true

Indicates whether a strict match of all parameters is required. When this is set to false, the service will blank out any invalid data and attempt a match with the remaining parameters. Default: true

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json